import React, { useState } from "react";
import { Modal, Flex, Input, Typography, Checkbox, Button, Collapse,message  } from "antd";
import "../asstes/css/Sidebar.css"
import axios from "axios";

import Img1 from '../asstes/img/goUpper.png'
import Img2 from '../asstes/img/任务卡片.png'
import Img3 from '../asstes/img/对话.png'
import Img4 from '../asstes/img/wenti.png'
import TermsService from "./TermsService";
import Privacy from "./Privacy";
// import codeImg from '../asstes/img/fankuiCode.png'



function Sidebar() {
    const [messageApi, contextHolder] = message.useMessage();
    const [isModalOpen1, setIsModalOpen1] = useState(false);
    const [isModalOpen2, setIsModalOpen2] = useState(false);
    const [isModalOpen3, setIsModalOpen3] = useState(false);
    const [isModalOpen4, setIsModalOpen4] = useState(false);
    const [name, setName] = useState('');
    const [phone, setPhone] = useState('');
    const [school, setSchool] = useState('');
    const [checkVlaue, setCheckValue] = useState(false);
 
    const handleOk1 = () => {
        setIsModalOpen1(false);
    }
    const handleOk2 = () => {
        setIsModalOpen2(false);
    }
    const handleOk3 = () => {
        setIsModalOpen2(false);
    }
    const handleOk4 = () => {
        setIsModalOpen2(false);
    }
    const items = [
        {
            key: '1',
            label: 'CocoClass的GenAI功能使用的是什么大语言模型？',
            children: <p>CocoClass（HK）的所有GenAI功能均接入OpenAI开发的Chat GPT-4o模型，以及Anthropic开发的Claude 3 Sonnet和Claude 3 Haiku模型。另外，我们还支持通义千问与智谱AI模型使用。
            </p>,
        }
    ];
    const onChangeCollapse = (key) => {
        console.log(key);
    }
    const submit = () => {
        // https://traininguser-api.cocorobo.cn/sendEmail
        console.log(name === '')
        if (!checkVlaue) {
            messageApi.info('请仔细阅读我们服务条款和隐私政策，并选中');
            return
        }else if (name === '') {
            messageApi.info('未输入名字');
            return
        }else if(phone === ''){
            messageApi.info('未输入联系方式');
            return
        }else if(school === ''){
            messageApi.info('未输入学校名称');
            return
        }
        let params = {
            content: `${school}的${name}申请使用CocoClass，联系方式${phone}`,
            content_type: "plain",
            email: "niuqiannan@cocorobo.cc,xujiawei@cocorobo.cc",
            subject: "CocoClass账号申请"
        }
        console.log(params)
        axios.post('https://traininguser-api.cocorobo.cn/sendEmail', params).then(res => {
            messageApi.info('您的CocoClass账号申请讯息已发送，请等待');
            setIsModalOpen1(false)
        })
    }
    return (
        <div className="Sidebar">
            {contextHolder}
            <div>
                <a href="#Introduction">
                    <img src={Img1} alt="回到顶部" />
                    <br />
                    <span>回到顶部</span>
                </a>
            </div>
            <div onClick={() => setIsModalOpen1(true)}>
                <img src={Img2} alt="申请试用" />
                <br />
                <span>申请试用</span>
            </div>
            <div>
                <a href="#Contact">
                    <img src={Img3} alt="联络我们" />
                    <br />
                    <span>联络我们</span>
                </a>
            </div>
            <div onClick={() => setIsModalOpen2(true)}>
                <img src={Img4} alt="常见问题" />
                <br />
                <span>常见问题</span>
            </div>
            <Modal open={isModalOpen1} onOk={handleOk1} onCancel={() => setIsModalOpen1(false)}
                footer={[]}>
                <h3 className="Model_h3_title">CocoClass账号申请</h3>

                {/* <img src={codeImg} alt="反馈" style={{margin: '0 auto',display:'block',padding:15}} /> */}
                <Flex vertical gap={16}>
                    <div>
                        <Typography.Title level={5}>学校名称</Typography.Title>
                        <Input placeholder="请输入" value={school} onChange={(e) => setSchool(e.target.value)} />
                    </div>
                    <div>
                        <Typography.Title level={5}>账户（请输入电邮）</Typography.Title>
                        <Input placeholder="请输入" value={phone} onChange={(e) => setPhone(e.target.value)} />
                    </div>
                    <div>
                        <Typography.Title level={5}>姓名</Typography.Title>
                        <Input placeholder="请输入" value={name} onChange={(e) => setName(e.target.value)} />
                    </div>
                </Flex>
                <p className="model_p_text">*请填写以上申请信息，我们将在工作日24小时内回复您。您的信息将被严格保密，不会被用于其他用途。</p>
                <Checkbox value={checkVlaue} onClick={()=>setCheckValue(!checkVlaue)}></Checkbox> <span>继续即表示您同意我们的
                    <i className="model_checkbox_i" onClick={() => setIsModalOpen3(true)}>服务条款</i>和
                    <i className="model_checkbox_i" onClick={() => setIsModalOpen4(true)}>隐私政策</i>，并确认您已年满18岁。</span>
                <div style={{ textAlign: 'center', marginTop: 20 }}>
                    <Button type="primary" onClick={() => submit()}>提交</Button>
                </div>
            </Modal>

            <Modal open={isModalOpen2} onOk={handleOk2} onCancel={() => setIsModalOpen2(false)}
                footer={[]} width={800} >
                <h3 className="Model_h3_title">常见问题</h3>
                <div style={{ minHeight: 400 }}>
                    <Collapse items={items} defaultActiveKey={['1']} onChange={onChangeCollapse} />
                </div>
            </Modal>
            <Modal open={isModalOpen3} onOk={handleOk3} onCancel={() => setIsModalOpen3(false)}
                footer={[]} width={800}>
                <h3 className="Model_h3_title">服务条款</h3>
                <TermsService />
            </Modal>
            <Modal open={isModalOpen4} onOk={handleOk4} onCancel={() => setIsModalOpen4(false)}
                footer={[]} width={800}>
                <h3 className="Model_h3_title">隐私政策</h3>
                <Privacy />
            </Modal>
        </div >
    )
}

export default Sidebar